org.apache.tiles.autotag.model

## Class TemplateMethod

- java.lang.Object
- - org.apache.tiles.autotag.model.TemplateMethod

-     public class TemplateMethod
      extends Object

  It represents a parsed method in a parsed template class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateMethod(String name, Iterable<? extends TemplateParameter> parameters)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDocumentation()` Returns the documentation for this method.
    `String` | `getName()` Returns the name of the method.
    `TemplateParameter` | `getParameterByName(String name)` Returns a parameter given its name.
    `Collection<TemplateParameter>` | `getParameters()` Returns the parameters of this method.
    `boolean` | `hasBody()` Indicates that this method needs a tag body.
    `void` | `setDocumentation(String documentation)` Sets the documentation for this method.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateMethod

          public TemplateMethod(String name,
                                Iterable<? extends TemplateParameter> parameters)

      Constructor.
      Parameters:
        `name` - The name of the method.
        `parameters` - The map of parameters.

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of the method.
      Returns:
        The name of the method.

    - #### getDocumentation

          public String getDocumentation()

      Returns the documentation for this method.
      Returns:
        The documentation.

    - #### setDocumentation

          public void setDocumentation(String documentation)

      Sets the documentation for this method.
      Parameters:
        `documentation` - The documentation.

    - #### getParameters

          public Collection<TemplateParameter> getParameters()

      Returns the parameters of this method.
      Returns:
        The parameters.

    - #### getParameterByName

          public TemplateParameter getParameterByName(String name)

      Returns a parameter given its name.
      Parameters:
        `name` - The name of the parameter.
      Returns:
        The parameter.

    - #### hasBody

          public boolean hasBody()

      Indicates that this method needs a tag body.
      Returns:
        `true` if tag body is needed.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.